summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-07 04:59:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-07 04:59:10 +0000
commit51d702e4949c15fc9d9d49ef149796108186d4fc (patch)
treec4bfc72f0d040e9b727fdac4c12b45c9a9169b76 /debian/tests
parentReleasing progress-linux version 1:9.11.5.P4+dfsg-5.1+deb10u8progress5u1. (diff)
downloadbind9-51d702e4949c15fc9d9d49ef149796108186d4fc.tar.xz
bind9-51d702e4949c15fc9d9d49ef149796108186d4fc.zip
Merging debian version 1:9.11.5.P4+dfsg-5.1+deb10u9.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control10
-rwxr-xr-xdebian/tests/simpletest18
-rw-r--r--debian/tests/validation28
3 files changed, 43 insertions, 13 deletions
diff --git a/debian/tests/control b/debian/tests/control
index 2fad418..d086b28 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,9 @@
Tests: simpletest
-Restrictions: needs-root, isolation-container
-Depends: bind9, dnsutils
+Restrictions: isolation-container, needs-internet, needs-root
+Depends: bind9,
+ dnsutils
+
+Tests: validation
+Restrictions: isolation-container, needs-internet, needs-root, flaky
+Depends: bind9,
+ dnsutils
diff --git a/debian/tests/simpletest b/debian/tests/simpletest
index 468a7c5..10951e7 100755
--- a/debian/tests/simpletest
+++ b/debian/tests/simpletest
@@ -2,25 +2,21 @@
set -e
-setup() {
+setup() (
service bind9 stop
service bind9 start
-}
+ sleep 1
+)
-run() {
+run() (
# Make a query against a local zone
dig -x 127.0.0.1 @127.0.0.1
+)
- # Make a query against an external nameserver and check for DNSSEC validation
- echo "Checking for DNSSEC validation status of internetsociety.org"
- dig -t a internetsociety.org @127.0.0.1 | egrep 'flags:.+ad; QUERY'
-}
-
-teardown() {
+teardown() (
service bind9 stop
-}
+)
setup
run
teardown
-
diff --git a/debian/tests/validation b/debian/tests/validation
new file mode 100644
index 0000000..bf10e12
--- /dev/null
+++ b/debian/tests/validation
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+setup() (
+ service bind9 stop
+ service bind9 start
+)
+
+run() (
+ repeats=10
+ while [ "${repeats}" -gt "0" ]; do
+ # Make a query against an external nameserver and check for DNSSEC validation
+ echo "Checking for DNSSEC validation status of internetsociety.org"
+ dig -t a internetsociety.org @127.0.0.1 | grep -E 'flags:.+ad; QUERY' && break
+ repeats=$((repeats-1))
+ sleep 1
+ done
+ [ "$repeats" -eq "0" ] && exit 1
+)
+
+teardown() (
+ service bind9 stop
+)
+
+setup
+run
+teardown